> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a model run

> Delete a model run. Cannot delete while state is "processing".



## OpenAPI

````yaml DELETE /model_runs/{model_run_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /model_runs/{model_run_id}:
    delete:
      summary: Delete a model run
      description: Delete a model run. Cannot delete while state is "processing".
      operationId: delete-model-run
      parameters:
        - name: model_run_id
          in: path
          description: Model run ID
          schema:
            type: integer
          required: true
      responses:
        '204':
          description: 204 No Content
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 422
                    errors:
                      - message: Cannot delete model run while processing
              schema:
                type: object
                properties:
                  status:
                    type: string
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````